Package: postgis
Version: 1.5.3-2
Severity: normal
File: /usr/bin/shp2pgsql
Tags: upstream

Dear Maintainer,
*** Please consider answering these questions, where appropriate ***

   * What led up to the situation?
shp2pgsql -?
RCSID: $Id: shp2pgsql-core.h 5983 2010-09-19 11:27:05Z mcayland $ RELEASE: 1.5
USE_GEOS=1 USE_PROJ=1 USE_STATS=1

shp2pgsql -G -g geog roadtrl020.shp ch1.roads_geog
causes a segmentation fault, where the file roadtrl020.shp may exist or may not
exist.
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
Actually already this
shp2pgsql -G  -g geog non_existing_file.shp
causes a segmentation fault.

It did not cause a segmentation fault, when running it on Windows (release
2.0.3 (r11132).

   * What was the outcome of this action?
To convert the file to SQL statements.
   * What outcome did you expect instead?

*** End of the template - remove these lines ***



-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages postgis depends on:
ii  libatk1.0-0         2.8.0-2
ii  libc6               2.17-3
ii  libcairo2           1.12.14-4
ii  libfontconfig1      2.9.0-7.1
ii  libfreetype6        2.4.9-1.1
ii  libgdk-pixbuf2.0-0  2.28.1-1
ii  libglib2.0-0        2.36.1-2build1
ii  libgtk2.0-0         2.24.18-1
ii  libpango1.0-0       1.32.5-5+b1
ii  libpq5              9.1.9-1

postgis recommends no packages.

Versions of packages postgis suggests:
ii  postgresql-9.1-postgis  1.5.3-2

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to